<template>
  <div id="app">
      <app-nav v-if="isLoggedIn" />
        <router-view />
        <audio-reader-bottom v-if="isLoggedIn"/>
    </div>
  </div>
</template>

<script>

import { mapState, mapActions } from 'vuex'
import appNav from '@/components/AppNav'
import audioReaderBottom from '@/components/AudioReaderBottom'
export default {
  name: 'App',
  components:{
    'appNav':appNav,
    'audioReaderBottom':audioReaderBottom
  },
  data(){
    return {
      currentRoute: this.$route.name,
      isRouterReady: false
    }
  },
  computed:{
    ...mapState('profile', ['authedProfile','isLoggedIn'])
  },
  created(){    
  this.init();
  },
  methods:{
    ...mapActions('profile', [
      'getIsLoggedIn','getAuthedProfile'
    ]),
    init(){
      this.getIsLoggedIn();
      if(this.isLoggedIn){
      this.getAuthedProfile();
      }
    }

  }
}
</script>

<style lang="scss">

</style>
